﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Rotate 클래스 : Pen 속성을 사용해 회전시 윤곽선 표시하기";

            this.tChart.Aspect.View3D  = true;
            this.tChart.Panel.Pen      = new ChartPen(Color.Black);
            this.tChart.Legend.Visible = false;

            Tower tower = new Tower(this.tChart.Chart);

            tower.FillSampleValues();

            Rotate rotate = new Rotate(this.tChart.Chart);

            rotate.Pen.Visible = true;
            rotate.Speed       = 50;
            rotate.Inertia     = 10;
        }

        #endregion
    }
}